List Sent Emails
curl --request GET \
--url https://api.mailofly.com/emails \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mailofly.com/emails"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mailofly.com/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mailofly.com/emails",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mailofly.com/emails"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mailofly.com/emails")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mailofly.com/emails")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "<string>",
"has_more": true,
"data": [
{
"object": "<string>",
"id": "<string>",
"message_id": {},
"to": [
"<string>"
],
"from": {},
"created_at": "<string>",
"subject": "<string>",
"bcc": {},
"cc": {},
"reply_to": {},
"last_event": "<string>",
"scheduled_at": {}
}
]
}Sending
List Sent Emails
Retrieve a list of emails sent by your organization.
GET
/
emails
List Sent Emails
curl --request GET \
--url https://api.mailofly.com/emails \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mailofly.com/emails"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mailofly.com/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mailofly.com/emails",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mailofly.com/emails"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mailofly.com/emails")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mailofly.com/emails")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "<string>",
"has_more": true,
"data": [
{
"object": "<string>",
"id": "<string>",
"message_id": {},
"to": [
"<string>"
],
"from": {},
"created_at": "<string>",
"subject": "<string>",
"bcc": {},
"cc": {},
"reply_to": {},
"last_event": "<string>",
"scheduled_at": {}
}
]
}Returns paginated message logs with filtering by status and recipient via the Mailofly API.
integer
Max items to return (default: 20, max: 100).
string
Pagination cursor (email ID to fetch records after).
string
Pagination cursor (email ID to fetch records before).
Response
string
Object type (
list).boolean
Whether more results are available.
object[]
Array of email list items.
Show Email Item Properties
Show Email Item Properties
string
emailstring
Message ID.
string | null
SMTP Message-ID header.
string[]
Recipient email addresses.
string | null
Sender email address.
string
ISO-8601 timestamp.
string
Subject line.
string[] | null
BCC addresses.
string[] | null
CC addresses.
string[] | null
Reply-to addresses.
string
Delivery event status.
string | null
Scheduled timestamp.
⌘I
